import NodeCache from 'node-cache';
/**
 * Cache instance for storing frequently accessed data
 */
export declare const cache: NodeCache;
/**
 * Gets an item from cache or executes the factory function to retrieve it
 * @param key The cache key
 * @param factory Function to execute if key is not in cache
 * @returns The cached or newly retrieved value
 */
export declare function getOrCreateCache<T>(key: string, factory: () => Promise<T>): Promise<T>;
/**
 * Clears specific keys from the cache
 * @param keyPattern String or RegExp pattern to match keys to clear
 */
export declare function clearCache(keyPattern: string | RegExp): void;
