"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildSimplifiedStrokes = buildSimplifiedStrokes;
const common_1 = require("../../utils/common");
const identity_1 = require("../../utils/identity");
function buildSimplifiedStrokes(n) {
    let strokes = { colors: [] };
    if ((0, identity_1.hasValue)("strokes", n) && Array.isArray(n.strokes) && n.strokes.length) {
        strokes.colors = n.strokes.filter(common_1.isVisible).map(paint => {
            const parsed = (0, common_1.parsePaint)(paint);
            return parsed;
        });
    }
    if ((0, identity_1.hasValue)("strokeWeight", n) && typeof n.strokeWeight === "number" && n.strokeWeight > 0) {
        strokes.strokeWeight = `${n.strokeWeight}px`;
    }
    if ((0, identity_1.hasValue)("strokeDashes", n) && Array.isArray(n.strokeDashes) && n.strokeDashes.length) {
        strokes.strokeDashes = n.strokeDashes;
    }
    if ((0, identity_1.hasValue)("individualStrokeWeights", n, identity_1.isStrokeWeights)) {
        const weights = n.individualStrokeWeights;
        strokes.strokeWeight = (0, common_1.generateCSSShorthand)(weights);
    }
    return strokes;
}
//# sourceMappingURL=strokes.js.map